Option Strict Off
Option Explicit On
Module Module19
    Private Declare Function ECF_AbreComprovanteNaoFiscalVinculadoMFD Lib "CONVECF.DLL" (ByVal FormaPag As String, ByVal Valor As String, ByVal NumeroCupom As String, ByVal CGC As String, ByVal Nome As String, ByVal Endereco As String) As Integer
    Private Declare Function ECF_UsaComprovanteNaoFiscalVinculadoTEF Lib "CONVECF.DLL" (ByVal Texto As String) As Integer
    Private Declare Function ECF_FechaComprovanteNaoFiscalVinculado Lib "CONVECF.DLL" () As Integer
    Private Declare Function ECF_SegundaViaNaoFiscalVinculadoMFD Lib "CONVECF.DLL" () As Integer
    Private Declare Function ECF_ReimpressaoNaoFiscalVinculadoMFD Lib "CONVECF.DLL" () As Integer
    Private Declare Function ECF_EstornoNaoFiscalVinculadoMFD Lib "CONVECF.DLL" (ByVal CGC As String, ByVal Nome As String, ByVal Endereco As String) As Integer
	
	Function CupomVinculado() As Object
		Dim retorno As Object
		
		Dim Preco, Pag, COO As Object
		Dim Text As String

        Form1.List1.Items.Clear()
		'''''''abrir vinculado ''''''

        Pag = Space(15)
        Preco = Space(14)
		COO = Space(6)
		

        retorno = ECF_AbreComprovanteNaoFiscalVinculadoMFD("Cartão", "00000000000540", "000000", "111.222.333/4444-55", "Sweda", "Dona Brígida, 713")
        Form1.List1.Items.Add(" 'ECF_AbreComprovanteNaoFiscalVinculadoMFD' - Status: " & retorno)
		
		
		'''''''imprimir Texto ''''''''
		Text = Space(618)
		Text = Chr(16) & "B" & Chr(16) & "E" & Chr(16) & "B" & "TEF" & Chr(16) & "N" & vbCrLf & "       COMPROVANTE DE OPERACAO" & vbCrLf & "ESTABEL: Sweda Informática" & vbCrLf & "VENDA CREDITO A VISTA" & vbCrLf & "VALOR VENDA   :        5,40" & vbCrLf & "VALOR SERVICO :        0,00" & vbCrLf & "VALOR FINAL   :        5,40" & vbCrLf & "       RECONHECO E PAGAREI A" & vbCrLf & "         IMPORTANCIA ACIMA"

        retorno = ECF_UsaComprovanteNaoFiscalVinculadoTEF(Text)
        Form1.List1.Items.Add(" 'ECF_UsaComprovanteNaoFiscalVinculadoTEF' - Status: " & retorno)
		
		
		'''''''' fechar comprovante'''''''''

        retorno = ECF_FechaComprovanteNaoFiscalVinculado
        Form1.List1.Items.Add(" 'ECF_FechaComprovanteNaoFiscalVinculado' - Status: " & retorno)
		
		'''''''''2ª Via '''''''''''

        retorno = ECF_SegundaViaNaoFiscalVinculadoMFD
        Form1.List1.Items.Add(" 'ECF_SegundaViaNaoFiscalVinculadoMFD' - Status: " & retorno)
		
		
	End Function
	
	Function EstornoVinculado() As Object
		Dim retorno As Object
        Dim Text As String

        Form1.List1.Items.Clear()
        '''''''' Estorno ''''''''

        retorno = ECF_EstornoNaoFiscalVinculadoMFD("111.222.333/4444-55", "Sweda", "Dona Brígida, 713")
        Form1.List1.Items.Add(" 'ECF_EstornoNaoFiscalVinculadoMFD' - Status: " & retorno)
		
		''''''' inserir texto''''''''
		Text = Space(618)
		Text = "Estorno da Operação TEF"

        retorno = ECF_UsaComprovanteNaoFiscalVinculadoTEF(Text)
        Form1.List1.Items.Add(" 'ECF_UsaComprovanteNaoFiscalVinculadoTEF' - Status: " & retorno)
		
		'''''''' fechar comprovante'''''''''

        retorno = ECF_FechaComprovanteNaoFiscalVinculado
        Form1.List1.Items.Add(" 'ECF_FechaComprovanteNaoFiscalVinculado' - Status: " & retorno)
	End Function
	
	Function ReimpressaoVinculado() As Object
		Dim retorno As Object
		Dim Text As String
		

        Form1.List1.Items.Clear()

        retorno = ECF_ReimpressaoNaoFiscalVinculadoMFD
        Form1.List1.Items.Add(" 'ECF_ReimpressaoNaoFiscalVinculadoMFD' - Status: " & retorno)
		
		''''''' Inserir texto''''''''
		Text = "Reimpressão" & Chr(16) & "B" & Chr(16) & "E" & Chr(16) & "B" & "TEF" & Chr(16) & "N" & vbCrLf & "       COMPROVANTE DE OPERACAO" & vbCrLf & "ESTABEL: Sweda Informática" & vbCrLf & "VENDA CREDITO A VISTA" & vbCrLf & "VALOR VENDA   :        5,40" & vbCrLf & "VALOR SERVICO :        0,00" & vbCrLf & "VALOR FINAL   :        5,40" & vbCrLf & "       RECONHECO E PAGAREI A" & vbCrLf & "         IMPORTANCIA ACIMA"
        retorno = ECF_UsaComprovanteNaoFiscalVinculadoTEF(Text)
        Form1.List1.Items.Add(" 'ECF_UsaComprovanteNaoFiscalVinculadoTEF' - Status: " & retorno)
		
		'''''''' Fechar 1ª via'''''''''

        retorno = ECF_FechaComprovanteNaoFiscalVinculado
        Form1.List1.Items.Add(" 'ECF_FechaComprovanteNaoFiscalVinculado' - Status: " & retorno)
		
		'''''''''' Enviar a 2ª Via '''''''''

        retorno = ECF_SegundaViaNaoFiscalVinculadoMFD
        Form1.List1.Items.Add(" 'ECF_SegundaViaNaoFiscalVinculadoMFD' - Status: " & retorno)
		
		
		
	End Function
End Module